Debian Bug report logs - #593041
imagemagick: FTBFS: libMagickWand.so: No such file: No such file or directory

version graph

Package: src:imagemagick; Maintainer for src:imagemagick is ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 15 Aug 2010 08:01:20 UTC

Severity: important

Tags: confirmed, sid, squeeze, wheezy

Merged with 606297

Found in versions imagemagick/8:6.6.0.4-2.2, imagemagick/8:6.6.0.4-3

Fixed in version imagemagick/8:6.6.9.7-5

Done: Bastien Roucariès <roucaries.bastien+debian@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18592

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#593041; Package src:imagemagick. (Sun, 15 Aug 2010 08:01:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Sun, 15 Aug 2010 08:01:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: imagemagick: FTBFS: libMagickWand.so: No such file: No such file or directory
Date: Sun, 15 Aug 2010 09:44:16 +0200
Source: imagemagick
Version: 8:6.6.0.4-2.2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100815 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++: /build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/wand/.libs/libMagickWand.so: No such file or directory
> make[3]: *** [Magick++/demo/button] Error 1
> make[3]: *** Waiting for unfinished jobs....
> test -z "/usr/lib/ImageMagick-6.6.0/modules-Q16/coders" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders"
> /usr/bin/ld: /build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/wand/.libs/libMagickWand.so: No such file: No such file or directory
> collect2: ld returned 1 exit status

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/08/15/imagemagick_8:6.6.0.4-2.2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#593041; Package src:imagemagick. (Sun, 22 Aug 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Sun, 22 Aug 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 593041@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 593041@bugs.debian.org
Subject: Re: Bug#593041: imagemagick: FTBFS: libMagickWand.so: No such file: No such file or directory
Date: Sun, 22 Aug 2010 17:16:48 +0100
[Message part 1 (text/plain, inline)]
On Sun, Aug 15, 2010 at 09:44:16 +0200, Lucas Nussbaum wrote:

> Source: imagemagick
> Version: 8:6.6.0.4-2.2
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100815 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> > g++: /build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/wand/.libs/libMagickWand.so: No such file or directory
> > make[3]: *** [Magick++/demo/button] Error 1
> > make[3]: *** Waiting for unfinished jobs....
> > test -z "/usr/lib/ImageMagick-6.6.0/modules-Q16/coders" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders"
> > /usr/bin/ld: /build/user-imagemagick_6.6.0.4-2.2-amd64-1dMQS3/imagemagick-6.6.0.4/wand/.libs/libMagickWand.so: No such file: No such file or directory
> > collect2: ld returned 1 exit status
> 
It built just fine on the buildds (and here) 10 days ago...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#593041; Package src:imagemagick. (Mon, 23 Aug 2010 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Mon, 23 Aug 2010 01:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 593041@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 593041@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: RE : Bug#593041: imagemagick: FTBFS: libMagickWand.so: No such file: No such file or directory
Date: Mon, 23 Aug 2010 02:57:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

I suppose it is a parallel build issue. Will glimbse at it after a sleep

Le 22 août 2010 18:18, "Julien Cristau" <jcristau@debian.org> a écrit :

On Sun, Aug 15, 2010 at 09:44:16 +0200, Lucas Nussbaum wrote:

> Source: imagemagick
> Version: 8:6....
It built just fine on the buildds (and here) 10 days ago...

Cheers,
Julien

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMcU1vAAoJEDEBgAUJBeQMHnkQALRkru3XcvN86GzaVuTh4MKd
c0PUmUSvSLmvZLmwhgsulH1pLKr7gRYEf3za4msyIY3djR3KsI7j95auE5IqMx/u
v80j89B9MuOL61CLaT84C98HJ+NrMV9jXZixBCcdbe3sRbTcXOku3PqPJQcY5ab5
i4FIZosYDQzlp7bz6Y165VdEdS+kmLBsFEOl3rfZ2z0gUvxGO1b5OlPdgM8xJ9mv
hV+7CHwQ0p346zlw0Hd6HHkWVqibGxNuagpbBhSsAGA8QyHpWNbATnAoML0rdfS4
o3XXkdyHEWPV8Z3om9ia8xsCIWwfluBhp4EXJoN5HgYPKL26eMcA8qxZrtvbBZh7
6uduPKZFeMrPxqdX2gFUeT//9uXbpbkxjIPSeQjds7fCSQkpZ+GsEmhDzhWuv4QH
hQmBk4sfsdV0b1o2LPtGjkn9AO2Ou04m9e/YMzONDWjingof2KDOyZ+9xghwACoW
B2l02bYyzRiBWdyypHULSNrsILKPS6X8tgPFHCk+Ad2Iw4rjtYRvBPwhUV9/jP4m
pzjf3RMzpR3zt00vrbYvBjuYHYrWz2fU7MrYUtaFc+pwsR4avgXEvCOiBrp+8OjO
5AiUM3NFftmESMOMgnXS/PnyB25zxVDvVLugRDNBhCy+1R3HONLES0SUKARhCBD1
wauE3N7j8FU3DjZE+Jf+
=yNIO
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Severity set to 'important' from 'serious' Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Tue, 24 Aug 2010 03:39:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:31 GMT) Full text and rfc822 format available.

Forcibly Merged 593041 606297. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:44 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18592'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:46 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:47 GMT) Full text and rfc822 format available.

Reply sent to Bastien Roucariès <roucaries.bastien+debian@gmail.com>:
You have taken responsibility. (Thu, 16 Jun 2011 08:51:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 16 Jun 2011 08:51:07 GMT) Full text and rfc822 format available.

Message #30 received at 593041-close@bugs.debian.org (full text, mbox):

From: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
To: 593041-close@bugs.debian.org
Subject: Bug#593041: fixed in imagemagick 8:6.6.9.7-5
Date: Thu, 16 Jun 2011 08:48:42 +0000
Source: imagemagick
Source-Version: 8:6.6.9.7-5

We believe that the bug you reported is fixed in the latest version of
imagemagick, which is due to be installed in the Debian FTP archive:

imagemagick-common_6.6.9.7-5_all.deb
  to main/i/imagemagick/imagemagick-common_6.6.9.7-5_all.deb
imagemagick-dbg_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/imagemagick-dbg_6.6.9.7-5_amd64.deb
imagemagick-doc_6.6.9.7-5_all.deb
  to main/i/imagemagick/imagemagick-doc_6.6.9.7-5_all.deb
imagemagick_6.6.9.7-5.debian.tar.bz2
  to main/i/imagemagick/imagemagick_6.6.9.7-5.debian.tar.bz2
imagemagick_6.6.9.7-5.dsc
  to main/i/imagemagick/imagemagick_6.6.9.7-5.dsc
imagemagick_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/imagemagick_6.6.9.7-5_amd64.deb
libmagick++-dev_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagick++-dev_6.6.9.7-5_amd64.deb
libmagick++4_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagick++4_6.6.9.7-5_amd64.deb
libmagickcore-dev_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagickcore-dev_6.6.9.7-5_amd64.deb
libmagickcore4-extra_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagickcore4-extra_6.6.9.7-5_amd64.deb
libmagickcore4_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagickcore4_6.6.9.7-5_amd64.deb
libmagickwand-dev_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagickwand-dev_6.6.9.7-5_amd64.deb
libmagickwand4_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/libmagickwand4_6.6.9.7-5_amd64.deb
perlmagick_6.6.9.7-5_amd64.deb
  to main/i/imagemagick/perlmagick_6.6.9.7-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593041@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastien Roucariès <roucaries.bastien+debian@gmail.com> (supplier of updated imagemagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Jun 2011 00:18:36 +0200
Source: imagemagick
Binary: imagemagick imagemagick-dbg imagemagick-common imagemagick-doc libmagickcore4 libmagickcore4-extra libmagickcore-dev libmagickwand4 libmagickwand-dev libmagick++4 libmagick++-dev perlmagick
Architecture: source amd64 all
Version: 8:6.6.9.7-5
Distribution: unstable
Urgency: low
Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Changed-By: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Description: 
 imagemagick - image manipulation programs
 imagemagick-common - image manipulation programs -- infrastructure
 imagemagick-dbg - debugging symbols for ImageMagick
 imagemagick-doc - document files of ImageMagick
 libmagick++-dev - object-oriented C++ interface to ImageMagick - development files
 libmagick++4 - object-oriented C++ interface to ImageMagick
 libmagickcore-dev - low-level image manipulation library - development files
 libmagickcore4 - low-level image manipulation library
 libmagickcore4-extra - low-level image manipulation library - extra codecs
 libmagickwand-dev - image manipulation library - development files
 libmagickwand4 - image manipulation library
 perlmagick - Perl interface to the ImageMagick graphics routines
Closes: 593041 630619
Changes: 
 imagemagick (8:6.6.9.7-5) unstable; urgency=low
 .
   * Replace a overlapped memcopy by a memmove
   * Fix a PNG reduction bug "Corrupted (?) icons", thanks to
     Torbjörn Andersson <eriknospam@telia.com>
     (Closes: #630619).
   * Fix parallel build issue. Make debian/rules install target depend
     on check. Thanks Colin Watson <cjwatson@ubuntu.com>
     (Closes: #593041).
Checksums-Sha1: 
 6625018d085313aca0a7cc03d5665e13beb7bceb 1964 imagemagick_6.6.9.7-5.dsc
 36557ce40836a08f135cc7c5aeeb7b587bfbd7b6 40355 imagemagick_6.6.9.7-5.debian.tar.bz2
 ee89d54cfbfae51ce613e7f0ff9a1c382293254a 124432 imagemagick_6.6.9.7-5_amd64.deb
 5629926334e51cd5337c1851b1c2154699a2be53 4616488 imagemagick-dbg_6.6.9.7-5_amd64.deb
 31589c8e251e4021f085542967b837a566de80ac 112512 imagemagick-common_6.6.9.7-5_all.deb
 431ec678f39261356ab44e2614c8b94001e21e54 5538046 imagemagick-doc_6.6.9.7-5_all.deb
 5d33acab96564ab76eb59a16c2dfc1e39467bcd5 1947660 libmagickcore4_6.6.9.7-5_amd64.deb
 3f9d0509167011f550c8d831b16d4e4e5c999eee 124668 libmagickcore4-extra_6.6.9.7-5_amd64.deb
 3c275bf8abf92621eb897ee5d77163ac9047ce56 1295650 libmagickcore-dev_6.6.9.7-5_amd64.deb
 124ab538df9f49f9817c477fc52668b57cc20ab6 442400 libmagickwand4_6.6.9.7-5_amd64.deb
 d24bb3c4451921cf5814b610bfb091fba4eae8f9 524286 libmagickwand-dev_6.6.9.7-5_amd64.deb
 203988ae7fd09ed9b06fcb2f7f2c9a86f7179d49 217602 libmagick++4_6.6.9.7-5_amd64.deb
 2c77c669886f4ff2203aef7db612c82a60b2df24 268790 libmagick++-dev_6.6.9.7-5_amd64.deb
 9fd7fa3cfc9b0a4796ade51a3cbea3d65c594545 248292 perlmagick_6.6.9.7-5_amd64.deb
Checksums-Sha256: 
 f618462154fbb536f825f52636c01ae6203d72ef2ee48629c64d4307df7485c2 1964 imagemagick_6.6.9.7-5.dsc
 e91d5cf6342bbfe09153a016df2ea6c1e48020ea3094648dbbd9308c62be8f12 40355 imagemagick_6.6.9.7-5.debian.tar.bz2
 3d74d971c5c137630b06c02438df4043fa65f97530895b788e0130e23af4c082 124432 imagemagick_6.6.9.7-5_amd64.deb
 ab8897983ea791f99bf1c255966db45d4d0449bbe207ba6e8385b0d90c83c8ad 4616488 imagemagick-dbg_6.6.9.7-5_amd64.deb
 534d1fab42882f17323f509cb89ab7e549e5a20d5c12116025df59933db663ab 112512 imagemagick-common_6.6.9.7-5_all.deb
 aa057367e6707f4ea5e71c837a25d77db3b24e7daa7f365c780e4be089d99cba 5538046 imagemagick-doc_6.6.9.7-5_all.deb
 b41a565773ccf6b1722337e89167b96ea1357d73185176cd78fadcec7198eb1d 1947660 libmagickcore4_6.6.9.7-5_amd64.deb
 520af76c39f39c6b4c61d0c0238b132ba84f530fc6a0bfed52b676230f07c50b 124668 libmagickcore4-extra_6.6.9.7-5_amd64.deb
 663c99331c636a9f9e754b4147ffb4b0b6ef52892ca6dc3f136e0ff24b9c640d 1295650 libmagickcore-dev_6.6.9.7-5_amd64.deb
 8c6c2c22809d9e35f8b7b789a555e31362237c48a75fdd6d88a195bb84b656f1 442400 libmagickwand4_6.6.9.7-5_amd64.deb
 c01e76d023086d5df72c5bb8e5ea14d01132f00a54490045c7be1b861f20d11e 524286 libmagickwand-dev_6.6.9.7-5_amd64.deb
 bf38754edb68920fc100cd142a302a52637ca1d1061b0660318ba4e5f3834971 217602 libmagick++4_6.6.9.7-5_amd64.deb
 330040a9e95d4e56203173596d819c1a8a2d8168b76570ecab67f016582af8bc 268790 libmagick++-dev_6.6.9.7-5_amd64.deb
 1ec52c0e4415f08dd07363d1f801cce862e943d06c06dff56621c6b91cf8f821 248292 perlmagick_6.6.9.7-5_amd64.deb
Files: 
 e1d4d5c303e2ee413e8897e5f83676fe 1964 graphics optional imagemagick_6.6.9.7-5.dsc
 4e9b39eafaf0955eba35d0ce520fec1a 40355 graphics optional imagemagick_6.6.9.7-5.debian.tar.bz2
 4154b145c612343b061aed0e6b2679d5 124432 graphics optional imagemagick_6.6.9.7-5_amd64.deb
 99ecfa87f03b37e70750e0c2b416caa2 4616488 debug extra imagemagick-dbg_6.6.9.7-5_amd64.deb
 fc0030efb422a7b1cf974ad39e0ca726 112512 graphics optional imagemagick-common_6.6.9.7-5_all.deb
 bbfa7d64ea2148c0786bcc2954c9be1e 5538046 doc optional imagemagick-doc_6.6.9.7-5_all.deb
 c47d21317d8d47f80a91bd0acc00f093 1947660 libs optional libmagickcore4_6.6.9.7-5_amd64.deb
 2a144ad98979d85a1f7dd4be5c66129b 124668 libs optional libmagickcore4-extra_6.6.9.7-5_amd64.deb
 30551115ae21ff75e3364289efe76902 1295650 libdevel optional libmagickcore-dev_6.6.9.7-5_amd64.deb
 bc460c43d711e1b24a45d564a4f72224 442400 libs optional libmagickwand4_6.6.9.7-5_amd64.deb
 3c6fa4dc9b8d109b880e32aeea44c3eb 524286 libdevel optional libmagickwand-dev_6.6.9.7-5_amd64.deb
 b6aba5f7bcc676c0904c19a506615b98 217602 libs optional libmagick++4_6.6.9.7-5_amd64.deb
 c5e9b191d353558e61b6bf381170a590 268790 libdevel optional libmagick++-dev_6.6.9.7-5_amd64.deb
 af0dd2cdc3fb7fb3d8be52b2a6cd0213 248292 perl optional perlmagick_6.6.9.7-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk35s2cACgkQx/UhwSKygsqq4wCbB2CqAlb0EU84CDR1Q2rj/Q+B
2K0An0H7BKiuLiMjvAd9/oByLIPKOwzL
=c4aV
-----END PGP SIGNATURE-----





Reply sent to Bastien Roucariès <roucaries.bastien+debian@gmail.com>:
You have taken responsibility. (Thu, 16 Jun 2011 08:51:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 16 Jun 2011 08:51:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 07:35:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:49:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.